import React from 'react';

function Playlist({ songs }) {
    return (
        <div>
            <h2>Playlist</h2>
            <table className="table table-striped">
                <thead>
                <tr>
                    <th>Artiest</th>
                    <th>Titel</th>
                    <th>Spotify</th>
                </tr>
                </thead>
                <tbody>
                {songs.map((song, index) => {
                    const artistUrl = encodeURIComponent(song.artist);
                    const titleUrl = encodeURIComponent(song.title);
                    const spotifyLink = `https://play.spotify.com/search/${artistUrl} - ${titleUrl}`;
                    return (
                        <tr key={index}>
                            <td>{song.artist}</td>
                            <td>{song.title}</td>
                            <td>
                                <a
                                    href={spotifyLink}
                                    target="_blank"
                                    rel="noreferrer"
                                    className="btn btn-sm btn-success"
                                >
                                    Spotify
                                </a>
                            </td>
                        </tr>
                    );
                })}
                </tbody>
            </table>
        </div>
    );
}

export default Playlist;
