import React from "react";

function QRCodePlaylist({ songs }) {
    return (
        <div>
            <h2>QR Code Playlist</h2>
            <div className="row">
                {songs.map((song, index) => {
                    const artistUrl = encodeURIComponent(song.artist);
                    const titleUrl = encodeURIComponent(song.title);
                    const spotifyLink = `https://play.spotify.com/search/${artistUrl} - ${titleUrl}`;
                    return (
                        <div className="col-4 px-5 py-4 text-center" key={index} style={{ breakInside: "avoid"}}>
                            <a href={spotifyLink} target="_blank" rel="noreferrer">
                                <img
                                    src={`https://api.intranet.smithsolar.nl/v2/qrcode?content=${spotifyLink}`}
                                    className="img-fluid"
                                    alt={song.title}
                                />
                            </a>
                            <p className="text-muted">
                                {song.artist} - {song.title}
                            </p>
                        </div>
                    );
                })}
            </div>
        </div>
    );
}

export default QRCodePlaylist;
